Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.simpleapi
Interface IAction

    public interface IAction

Script wrapper of `ActionHandle`

Method Summary
`java.lang.String` | `getFormatType()` Gets the format type of the action.
`java.lang.String` | `getLinkType()` Gets the link type of the action.
`java.lang.String` | `getReportName()` Gets the name of the target report document if the link type is `ACTION_LINK_TYPE_DRILLTHROUGH`.
`IStructure` | `getStructure()` Gets the internal structure instance of this action.
`java.lang.String` | `getTargetBookmark()` Gets the bookmark link if the link type is `ACTION_LINK_TYPE_BOOKMARK_LINK`.
`java.lang.String` | `getTargetWindow()` Gets the name of the target browser window for the link.
`java.lang.String` | `getURI()` Gets the identifier of the hyperlink if the link type is `ACTION_LINK_TYPE_HYPERLINK`.
`void` | `setFormatType(java.lang.String type)` Sets the format type of the action.
`void` | `setLinkType(java.lang.String type)` Sets the link type of the action.
`void` | `setReportName(java.lang.String reportName)` Sets target report name for a drill-though link.
`void` | `setTargetBookmark(java.lang.String bookmark)` Sets the target bookmark defined within this same report, or another report for a drill-though link.
`void` | `setTargetWindow(java.lang.String window)` Sets the target window of the action.
`void` | `setURI(java.lang.String uri)` Sets the hyperlink of this action.

Method Detail

### getURI

    java.lang.String getURI()

  Gets the identifier of the hyperlink if the link type is `ACTION_LINK_TYPE_HYPERLINK`. Otherwise, return null.

  Returns:
    the URI link expression in a string

### getTargetWindow

    java.lang.String getTargetWindow()

  Gets the name of the target browser window for the link. (Optional.) Used only for the Hyperlink and Drill Through options. Otherwise, return null.

  Returns:
    the window name

### getLinkType

    java.lang.String getLinkType()

  Gets the link type of the action. The link type are defined in DesignChoiceConstants and can be one of the following:

  - `ACTION_LINK_TYPE_NONE`
  - `ACTION_LINK_TYPE_HYPERLINK`
  - `ACTION_LINK_TYPE_DRILLTHROUGH`
  - `ACTION_LINK_TYPE_BOOKMARK_LINK`

  Returns:
    the string value of the link type
  See Also:
    `DesignChoiceConstants`

### setLinkType

    void setLinkType(java.lang.String type)
                     throws SemanticException

  Sets the link type of the action. The link type are defined in DesignChoiceConstants and can be one of the following:

  - `ACTION_LINK_TYPE_NONE`
  - `ACTION_LINK_TYPE_HYPERLINK`
  - `ACTION_LINK_TYPE_DRILLTHROUGH`
  - `ACTION_LINK_TYPE_BOOKMARK_LINK`

  Parameters:
    `type` - type of the action.
  Throws:
    `SemanticException` - if the `type` is not one of the above.

### setFormatType

    void setFormatType(java.lang.String type)
                       throws SemanticException

  Sets the format type of the action. The format type for action are defined in DesignChoiceConstants and can be one of the following: *

  - `ACTION_FORMAT_TYPE_HTML`
  - `ACTION_FORMAT_TYPE_PDF`

  Parameters:
    `type` - the type of the action
  Throws:
    `SemanticException`

### getFormatType

    java.lang.String getFormatType()

  Gets the format type of the action. The format type for action are defined in DesignChoiceConstants and can be one of the following: *

  - `ACTION_FORMAT_TYPE_HTML`
  - `ACTION_FORMAT_TYPE_PDF`

  Returns:
    the format type of the action

### setTargetWindow

    void setTargetWindow(java.lang.String window)
                         throws SemanticException

  Sets the target window of the action.

  Parameters:
    `window` - the target window name
  Throws:
    `SemanticException` - if this property is locked.

### setURI

    void setURI(java.lang.String uri)
                throws SemanticException

  Sets the hyperlink of this action. The link type will be changed to `ACTION_LINK_TYPE_HYPERLINK`.

  Parameters:
    `uri` - the hyperlink to set
  Throws:
    `SemanticException` - if the property is locked.

### getReportName

    java.lang.String getReportName()

  Gets the name of the target report document if the link type is `ACTION_LINK_TYPE_DRILLTHROUGH`. Otherwise, return null.

  Returns:
    the name of the target report document
  See Also:
    `setReportName(String)`

### setReportName

    void setReportName(java.lang.String reportName)
                       throws SemanticException

  Sets target report name for a drill-though link. The link type will be changed to `ACTION_LINK_TYPE_DRILLTHROUGH`. The report name can include relative or absolute names. If the suffix is omitted, it is computed on the server by looking for a matching report. BIRT reports are searched in the following order: 1) a BIRT report document or 2) a BIRT report design.

  Parameters:
    `reportName` - the name of the target report
  Throws:
    `SemanticException` - if the property is locked.
  See Also:
    `getReportName()`

### getTargetBookmark

    java.lang.String getTargetBookmark()

  Gets the bookmark link if the link type is `ACTION_LINK_TYPE_BOOKMARK_LINK`. Otherwise, return null.

  Returns:
    the bookmark link

### setTargetBookmark

    void setTargetBookmark(java.lang.String bookmark)
                           throws SemanticException

  Sets the target bookmark defined within this same report, or another report for a drill-though link. Call `setLinkType(String)`to do the link type change, it can either be `ACTION_LINK_TYPE_DRILLTHROUGH` or `ACTION_LINK_TYPE_BOOKMARK_LINK`.

  Parameters:
    `bookmark` - the bookmark value.
  Throws:
    `SemanticException` - if the property is locked.
  See Also:
    `getTargetBookmark()`

### getStructure

    IStructure getStructure()

  Gets the internal structure instance of this action.

  Returns:
    Action structure instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.